Loading...
Searching...
No Matches
itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions > Class Template Reference

`#include <itkGPULinearInterpolateImageFunctionFactory.h>`

## Detailed Description

template<typename TTypeList, typename NDimensions>
class itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >

Object Factory implementation for GPULinearInterpolateImageFunction.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 37 of file itkGPULinearInterpolateImageFunctionFactory.h.

Inheritance diagram for itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPULinearInterpolateImageFunctionFactory2
using | Superclass = GPUObjectFactoryBase<NDimensions>
Public Types inherited from itk::GPUObjectFactoryBase< NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetDescription () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPULinearInterpolateImageFunctionFactory2)
| itkFactorylessNewMacro (Self)
template<typename TType, unsigned int VImageDimension>
void | operator() ()
Public Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Member Functions

| GPULinearInterpolateImageFunctionFactory2 ()
void | Register1D () override
void | Register2D () override
void | Register3D () override
| ~GPULinearInterpolateImageFunctionFactory2 () override=default
Protected Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
| GPUObjectFactoryBase ()=default
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename TTypeList, typename NDimensions>

using itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkGPULinearInterpolateImageFunctionFactory.h.

## Pointer

template<typename TTypeList, typename NDimensions>

using itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkGPULinearInterpolateImageFunctionFactory.h.

## Self

template<typename TTypeList, typename NDimensions>

using itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Self = GPULinearInterpolateImageFunctionFactory2

Definition at line 42 of file itkGPULinearInterpolateImageFunctionFactory.h.

## Superclass

template<typename TTypeList, typename NDimensions>

using itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Superclass = GPUObjectFactoryBase<NDimensions>

Definition at line 43 of file itkGPULinearInterpolateImageFunctionFactory.h.

## Constructor & Destructor Documentation

## GPULinearInterpolateImageFunctionFactory2()

template<typename TTypeList, typename NDimensions>

itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::GPULinearInterpolateImageFunctionFactory2 | ( |  | ) |

protected

## ~GPULinearInterpolateImageFunctionFactory2()

template<typename TTypeList, typename NDimensions>

itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::~GPULinearInterpolateImageFunctionFactory2 | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TTypeList, typename NDimensions>

virtual const char * itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## GetDescription()

template<typename TTypeList, typename NDimensions>

const char * itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::GetDescription | ( |  | ) | const

inline override

Return a descriptive string describing the factory.

Definition at line 49 of file itkGPULinearInterpolateImageFunctionFactory.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TTypeList, typename NDimensions>

itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions > |  | ) |

## itkFactorylessNewMacro()

template<typename TTypeList, typename NDimensions>

itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## operator()()

template<typename TTypeList, typename NDimensions>
template<typename TType, unsigned int VImageDimension>

void itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::operator() | ( |  | ) |

inline

Operator() to register override.

Definition at line 67 of file itkGPULinearInterpolateImageFunctionFactory.h.

## Register1D()

template<typename TTypeList, typename NDimensions>

void itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Register1D | ( |  | ) |

override protected virtual

Register methods for 1D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register2D()

template<typename TTypeList, typename NDimensions>

void itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Register2D | ( |  | ) |

override protected virtual

Register methods for 2D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register3D()

template<typename TTypeList, typename NDimensions>

void itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::Register3D | ( |  | ) |

override protected virtual

Register methods for 3D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## RegisterOneFactory()

template<typename TTypeList, typename NDimensions>

void itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >::RegisterOneFactory | ( |  | ) |

static

Register one factory of this type.

Generated on 1768596610 for elastix by 1.15.0 |